Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::OneBodyIntV3 Class Reference

This implements most one body integrals in the IntV3 library. More...

`#include <obintv3.h>`

Inheritance diagram for sc::OneBodyIntV3:

[legend]
Collaboration diagram for sc::OneBodyIntV3:

[legend]
List of all members.

## Public Methods

| OneBodyIntV3 (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralFunction)
| ~OneBodyIntV3 ()
void | compute_shell (int, int)
| Computes the integrals between basis functions in the given shell pair.

## Protected Types

typedef void(Int1eV3::* | IntegralFunction )(int, int)

## Protected Attributes

Ref< Int1eV3 > | int1ev3_
IntegralFunction | intfunc_

## Detailed Description

This implements most one body integrals in the IntV3 library.

It is given a function pointer to the Int1eV3 member that computes the particular integral of interest.

The documentation for this class was generated from the following file:

- obintv3.h